libnet: ifaddrlist.h Source File

Main Page | Data Structures | File List | Data Fields | Globals

# ifaddrlist.h

    00001 /*
    00002  * Copyright (c) 1997
    00003  *      The Regents of the University of California.  All rights reserved.
    00004  *
    00005  * Redistribution and use in source and binary forms, with or without
    00006  * modification, are permitted provided that: (1) source code distributions
    00007  * retain the above copyright notice and this paragraph in its entirety, (2)
    00008  * distributions including binary code include the above copyright notice and
    00009  * this paragraph in its entirety in the documentation or other materials
    00010  * provided with the distribution, and (3) all advertising materials mentioning
    00011  * features or use of this software display the following acknowledgement:
    00012  * ``This product includes software developed by the University of California,
    00013  * Lawrence Berkeley Laboratory and its contributors.'' Neither the name of
    00014  * the University nor the names of its contributors may be used to endorse
    00015  * or promote products derived from this software without specific prior
    00016  * written permission.
    00017  * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
    00018  * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
    00019  * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
    00020  *
    00021  */
    00022
    00023 struct ifaddrlist
    00024 {
    00025 #if (HAVE_SOLARIS || HAVE_HPUX11)
    00026     u_int addr;
    00027 #else
    00028     u_int32_t addr;
    00029 #endif
    00030     int8_t *device;
    00031 };
    00032
    00033 struct libnet_ifaddr_list
    00034 {
    00035     u_int32_t addr;
    00036     int8_t *device;
    00037 };
    00038
    00039 int
    00040 ifaddrlist(
    00041     struct ifaddrlist **,
    00042     int8_t *
    00043     );
    00044
    00045
    00046 int
    00047 set_up_interface(
    00048     struct sockaddr_in **,
    00049     u_int8_t **
    00050     );
    00051
    00052 /* EOF */